ReadTextTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class ReadTextTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.ReadTextTest

-     public class ReadTextTest
      extends TestBase

  Test case to illustrate use of READTEXT for text and image columns.
  Version:
    1.0

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadTextTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testReadText()`
    `private void` | `validateReadTextResult(java.sql.ResultSet rs, java.lang.String data, byte[] byteBuf)`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadTextTest

          public ReadTextTest(java.lang.String name)

  - ### Method Detail

    - #### testReadText

          public void testReadText()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### validateReadTextResult

          private void validateReadTextResult(java.sql.ResultSet rs,
                                    java.lang.String data,
                                    byte[] byteBuf)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013